Subject: PE-22-28 for Depression
From: Hunter Williams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 12 May 2026 22:04:07 +0000

Happy Tuesday!

In today’s new podcast, I sat down to cover one of the market's underrated peptides, **PE-22-28**.

If you struggle with depression, anxiety, or just want a peptide that lifts mood without the SSRI baggage, this one is worth a listen.

Youtube: This Peptide Works 10X Faster Than SSRIs (Here's How) (https://youtu.be/4FZ_bKCeUro)

Watch on YouTube: [https://youtu.be/4FZ_bKCeUro](https://youtu.be/4FZ_bKCeUro)

Listen on Spotify: [https://open.spotify.com/episode/4YT4BG5fI4VAAXtfpYAWTH?si=JZpGFWi0TPiDL5ThAqvgIQ](https://open.spotify.com/episode/4YT4BG5fI4VAAXtfpYAWTH?si=JZpGFWi0TPiDL5ThAqvgIQ)

Here's the breakdown.

———————————————————————————

**What is PE-22-28 **

PE-22-28 is also called mini-spadin. It's a synthetic 7-amino-acid peptide derived from sortilin's propeptide.

The original compound was spadin. The problem was spadin degraded too fast in the body to be useful. Researchers shortened and optimized it, resulting in PE-22-28. The new version has 300 to 500 times the potency of regular spadin and stays active in the body for about 23 hours instead of 7.

Mechanistically, PE-22-28 is a selective **TREK-1 potassium channel antagonist**.

Essentially, TREK-1 channels regulate the resting membrane potential of your neurons. 

When PE-22-28 blocks them, potassium efflux drops, neurons depolarize more easily, and synaptic transmission gets enhanced. 

Your brain cells fire and wire together more efficiently.

That's the surface-level effect. The deeper effect is what makes this peptide interesting.

PE-22-28 rapidly increases **BDNF** (brain-derived neurotrophic factor) at both the mRNA and protein levels within hours. BDNF drives neurogenesis, synaptic plasticity, and neuronal survival.

It also bumps PSD-95 and synapsin expression. That means more synaptic density and better neural connectivity.

Plus, it activates MAP kinase and PI3 kinase pathways, which protect against cellular stress and tamp down neuroinflammation. 

A lot of depression is downstream of chronic neuroinflammation. PE-22-28 hits that pathway directly.

———————————————————————————

**Clinical Results**

Here's where it gets fun.

Traditional SSRIs take 3 to 4 weeks to kick in. PE-22-28 shows antidepressant effects in **4 days**.

In forced swimming and learned helplessness models, mice on PE-22-28 showed significant reductions in depression-like behaviors and immobility time. In corticosterone-induced depression models at 3 mcg/kg, both acute and subchronic protocols showed improvements within four days.

Markers of new neuron formation roughly doubled in treatment groups. The effects on neurogenesis were most prominent with the G/A-PE 22-28 analog.

On selectivity, PE-22-28 has no significant effects on TREK-2, TRAAK, TRESK, or TASK-1 channels. No effect on hERG cardiac channels either. That means no heart rate, blood pressure, or cardiac rhythm issues.

**Important caveat.** All of this is preclinical. There are no human trials yet. My experience is anecdotal, and the wider human use data is basically nonexistent.

———————————————————————————

**Benefits**

What does this actually do for you in practice?

* Rapid-onset antidepressant effects within 4 to 5 days

* BDNF upregulation (better learning, memory, neural connectivity)

* Enhanced neurogenesis in the hippocampus

* Improved synaptic plasticity

* Better stress resilience and lower cortisol

* Neuroprotective at low doses

* No sleepiness, no withdrawal, no dependency

* May actually increase resistance to seizures

* Cardiac-safe based on the selectivity data

The stress resilience piece is underrated. 

Two people can experience the exact same stressor and one breaks while the other handles it fine. 

The difference often lies in the brain's ability to adapt. PE-22-28 seems to help with that adaptation.

———————————————————————————

**Dosage**

Again, no human data. This is what I've used personally and what felt right.

**Starting dose: 250 mcg subq, once daily in the morning.**

I prefer the morning to align with circadian rhythms. It's slightly stimulating, so taking it at night could mess with sleep.

**Cycling: 4 to 5 days on, 2 to 3 days off.**

The effects seemed cumulative, but the on/off cycle helps prevent tolerance and antibody buildup. Every peptide eventually runs into that issue. Cycling extends the runway.

If 250 mcg doesn't work for you after a few days, you can increase to 500 mcg per day. I wouldn't go higher than that. There's no real precedent for it, and the safety data above that range is nonexistent.

Reconstitute with bac water. Keep it in the fridge. Standard peptide handling.

If you wanted to do this as a nasal spray instead of subq, you can. I haven't personally, but the molecule supports it.

———————————————————————————

**Final Thoughts**

I'm a fan of this one.

Most peptides in the cognitive space are nootropics first. PE-22-28 is different. It's an antidepressant first, with some nootropic benefit on top.

Depression is multifaceted. You can have perfect bloodwork and still be depressed. 

You can have a perfect lifestyle and still struggle. 

Most of the time, it's a combination of hormones, inflammation, lifestyle, stress, and circumstance.

PE-22-28 alone won't fix any of that. 

But it can do something an SSRI struggles to do, which is help someone get out of the hole fast enough to start fixing the other stuff. Exercise, sunlight, sleep, social connection. The compounding lifestyle pieces.

If you've got someone who can't get off the couch, the SSRI route locks them in for months with side effects and withdrawal at the end. 

PE-22-28 lifts the floor in 4 days with no dependency on the other end.

That alone makes it worth knowing about.

Best,

Hunter Williams

P.S. You can get PE-22-28 from [Parabolic Peptides ](https://parabolicpeptides.com/shop/ols/products/pe-22-28-10mg)(code Taylorw) or [Soma Chems](https://somachems.com/product/pe-22-28) (code Hunter20). 

———————————————————————————

**Further Reading**

* [https://pubmed.ncbi.nlm.nih.gov/28955242/](https://pubmed.ncbi.nlm.nih.gov/28955242/)

* [https://pubmed.ncbi.nlm.nih.gov/20405001/](https://pubmed.ncbi.nlm.nih.gov/20405001/)

* [https://pubmed.ncbi.nlm.nih.gov/21807005/](https://pubmed.ncbi.nlm.nih.gov/21807005/) 

* [https://www.frontiersin.org/journals/pharmacology/articles/10.3389/fphar.2018.01541/ful](https://www.frontiersin.org/journals/pharmacology/articles/10.3389/fphar.2018.01541/full)

———

You are reading a plain text version of this post. For the best experience, copy and paste this link in your browser to view the post online:
https://huntershealthhacks.beehiiv.com/p/pe-22-28-for-depression